Adicionar Dados para Monitoramento
curl --request POST \
--url https://api.example.com/cyber/monitoring \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"value": "<string>",
"type": "<string>",
"userHash": "<string>"
}
'import requests
url = "https://api.example.com/cyber/monitoring"
payload = {
"value": "<string>",
"type": "<string>",
"userHash": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', type: '<string>', userHash: '<string>'})
};
fetch('https://api.example.com/cyber/monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"description": "Dados de monitoramento adicionados com sucesso."
}
{
"statusCode": 400,
"message": "Request Inválida. Dados de entrada inválidos."
}
{
"statusCode": 403,
"message": "Request Proibida."
}
Cyber (Proteção Digital)
Adicionar Dados para Monitoramento
Adiciona novos dados (e-mail, CPF, etc.) para monitoramento de vazamento na Deep/Dark Web.
POST
/
cyber
/
monitoring
Adicionar Dados para Monitoramento
Visão Geral
Este endpoint permite adicionar dados sensíveis do usuário para monitoramento contínuo contra vazamentos de dados. O sistema rastreia a Deep Web e Dark Web em busca desses dados e envia alertas em caso de detecção.Autenticação
string
required
Sua chave de API fornecida pela Zentek.
Request Body
string
required
O valor a ser monitorado. Exemplo:
exemplo@dominio.com para e-mail.string
required
Tipo de dado a ser monitorado. Valores possíveis:
email, cpf, phone, credit_card.string
required
Hash único do usuário gerado através do algoritmo blake2b (CPF + salt do parceiro). Este identificador garante privacidade e segurança.
Como gerar o userHash: Use o algoritmo blake2b para fazer o hash do CPF do usuário concatenado com o salt específico do seu parceiro (fornecido pela Zentek).
Exemplo de Request
curl -X POST "https://api.partner.zentek.com.br/v1/cyber/monitoring" \
-H "Content-Type: application/json" \
-H "x-api-key: SUA_API_KEY" \
-d '{
"value": "exemplo@dominio.com",
"type": "email",
"userHash": "a1b2c3d4e5f6..."
}'
const response = await fetch('https://api.partner.zentek.com.br/v1/cyber/monitoring', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'x-api-key': 'SUA_API_KEY'
},
body: JSON.stringify({
value: 'exemplo@dominio.com',
type: 'email',
userHash: 'a1b2c3d4e5f6...'
})
});
Response
{
"status": 200,
"description": "Dados de monitoramento adicionados com sucesso."
}
{
"statusCode": 400,
"message": "Request Inválida. Dados de entrada inválidos."
}
{
"statusCode": 403,
"message": "Request Proibida."
}
Was this page helpful?
⌘I
